      program xgeodetic
!
!     Exercise driver for subroutine geodetic
!
!     B. Knapp, 2001-01-11
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
!
      real*8 D2R
      parameter (D2R=3.14159265358979324d0/180.d0)
!
      real*8 rho, phiP, r, z, phi, h
      integer*4 j

      rho = 7000.d0
      do j=-18,18
         phiP = j*5.d0*D2R
         r = rho*cos(phiP)
         z = rho*sin(phiP)
         call geodetic(r,z,phi,h)
         phi = phi/D2R
         write(*,10),j*5,r,z,phi,h
      enddo
 10   format(i6,4f18.12)
!
      end
